Subject: bug#30336: closed (Re: bug#30336: sed)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Feb 2018 01:18:02 +0000

Your bug report

#30336: sed

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30336: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30336
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30336: sed
From: Assaf Gordon <[email-masked]>
To: Roger Adair <[email-masked]>, [email-masked]
Date: Sun, 4 Feb 2018 18:17:13 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2018-02-03 12:24 PM, Assaf Gordon wrote:
> On 2018-02-03 09:11 AM, Roger Adair wrote:
>> when I execute the following command:
>>
>> $ sed 's/c$/7/g' test.data.asc
>> [...]
> My immediate guess would be that the file has dos/mac line endings
> (e.g. CRLF "\r\n" instead of just line-feed "\n").

Confirmed off-list this is the issue - I'm thus closing this bug.

regards,
  - assaf

Subject: sed
From: Roger Adair <[email-masked]>
To: [email-masked]
Date: Sat, 3 Feb 2018 13:11:04 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using Linux Mint 18.3 with sed version

sed (GNU sed) 4.2.2

when I execute the following command:

$ sed 's/c$/7/g' test.data.asc

where the contents of test.data.asc is:

abc  abc
123456

I get the following output:

abc  abc
123456

Whereas I would expect the following:

abc  ab7
123456

If I leave the $ out of the command "ab7 ab7" appears.

What am I doing wrong?  Many thanks for reading my email.

Roger